Bug 59775 - [PATCH] XSSFHyperlink has wrong type if it contains a location (CTHyperlink#getLocation)
Summary: [PATCH] XSSFHyperlink has wrong type if it contains a location (CTHyperlink#g...
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: XSSF (show other bugs)
Version: 3.12-FINAL
Hardware: PC All
: P2 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords: PatchAvailable
Depends on:
Blocks:
 
Reported: 2016-07-01 09:01 UTC by Guillermo Alvarez
Modified: 2016-07-18 09:54 UTC (History)
0 users



Attachments
Sample test file (42.01 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2016-07-01 09:01 UTC, Guillermo Alvarez
Details
Proposed solution for XSSFHyperlink (4.04 KB, patch)
2016-07-01 09:04 UTC, Guillermo Alvarez
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Guillermo Alvarez 2016-07-01 09:01:08 UTC
Created attachment 33998 [details]
Sample test file

Tested with attached file created in MS Excel, hyperlinks for URLs containing '#' char are stored using both target and location properties. But XSSFHyperlink sets type to Hyperlink.LINK_DOCUMENT if location is not null.
Comment 1 Guillermo Alvarez 2016-07-01 09:04:03 UTC
Created attachment 33999 [details]
Proposed solution for XSSFHyperlink

patch created with git format-patch, hope the format is valid
Comment 2 Javen O'Neal 2016-07-17 05:45:38 UTC
Thanks for the patch! Applied in r1753013 with a unit test.
Comment 3 Guillermo Alvarez 2016-07-18 09:54:04 UTC
Great news, thanks!